Name:			hostapd
Version:		2.10
Release:		%mkrel 1
URL:			http://hostap.epitest.fi/hostapd/
Group:			System/Servers
Source0:		http://w1.fi/releases/%{name}-%{version}.tar.xz
Source1:		%{name}.init
Patch0:			%{name}-config.patch
Patch1:			hostapd-2.10-mga-defconfig.patch

Summary:		Optional user space component for Host AP driver
License:		GPL
BuildRequires:		pkgconfig(openssl)
BuildRequires:		libnl3-devel
Requires(post): 	rpm-helper
Requires(preun):	rpm-helper

%description
Hostapd is an optional user space component for Host AP driver. It adds
more features to the basic IEEE 802.11 management included in the kernel
driver: using external RADIUS authentication server for MAC address
based access control, IEEE 802.1X Authenticator and dynamic WEP keying,
RADIUS accounting.

%prep
%setup -q
%autopatch -p1

%build
pushd %{name}
cat defconfig | sed \
    -e '/^#CONFIG_DRIVER_NONE=y/s/^#//' \
    -e '/^#CONFIG_IEEE80211R=y/s/^#//' \
    -e '/^#CONFIG_IEEE80211AC=y/s/^#//' \
    -e '/^#CONFIG_FULL_DYNAMIC_VLAN=y/s/^#//' \
    -e '/^#CONFIG_LIBNL32=y/s/^#//' \
    > .config
echo "CFLAGS += -I%{_includedir}/libnl3" >> .config
echo "LIBS += -L%{_libdir}" >> .config
%{__perl} -pi -e 's/CFLAGS =.*/CFLAGS = -MMD %{optflags}/' Makefile
%{__make} CC="%{__cc}" #CFLAGS="-MMD %{optflags}"
popd

%install
pushd %{name}
install -d -m 755 %{buildroot}%{_sbindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -m 755 %{name}        %{buildroot}%{_sbindir}
install -m 755 %{name}_cli    %{buildroot}%{_sbindir}
install -m 600 %{name}.conf   %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.accept %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.deny   %{buildroot}%{_sysconfdir}/%{name}
mkdir -p %{buildroot}%{_initrddir}
install -m 755 %{SOURCE1}  %{buildroot}%{_initrddir}/%{name}
popd


%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%{_sbindir}/%{name}
%{_sbindir}/%{name}_cli
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.accept
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.deny
%config(noreplace) %{_initrddir}/%{name}

%changelog
* Wed Jan 24 2024 tex - 2.10-1pclos2024
- update to 2,10

